%global namedreltag -M04
%global namedversion %{version}%{?namedreltag}
Name:          geoapi
Version:       3.1
Release:       0.1.M04%{?dist}
Summary:       Java interfaces for OGC/ISO standard
License:       OGC
URL:           http://www.geoapi.org/
# svn checkout svn://svn.code.sf.net/p/geoapi/code/tags/3.1-M04 geoapi-3.1-M04
# find geoapi-3.1-M04/ -name "*.class" -print -delete
# find geoapi-3.1-M04/ -name "*.jar" -print -delete
# tar cJf geoapi-3.1-M04.tar.xz geoapi-3.1-M04
Source0:       %{name}-%{namedversion}.tar.xz
BuildRequires: java-devel
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.unitsofmeasurement:unit-api)
BuildRequires: maven-local
BuildArch:     noarch

%description
The development community in building GIS solutions is sustaining an enormous
level of effort. The GeoAPI project aims to reduce duplication and increase
inter-operability by providing neutral, interface-only APIs derived from OGC/ISO
Standards.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

# Disable source jar
%pom_remove_plugin :maven-source-plugin
# Unavailable plugin
%pom_remove_plugin :taglist-maven-plugin

# Disable classpath in manifest
%pom_xpath_set "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-jar-plugin']/pom:configuration/pom:archive/pom:manifest/pom:addClasspath" false

# Require old javax.measure apis (0.9.3) definition (latest 0.9.6)
%pom_disable_module %{name}-conformance
# Unavailable deps
%pom_disable_module %{name}-examples
%pom_disable_module %{name}-openoffice
%pom_disable_module %{name}-proj4

# Require java3d:vecmath:1.5.2
%pom_remove_dep java3d:vecmath
%pom_disable_module %{name}-netcdf

# Use newer and free measure apis
%pom_remove_dep javax.measure:jsr-275
%pom_add_dep org.unitsofmeasurement:unit-api
sed -i "s|javax.measure.unit|org.unitsofmeasurement.unit|" $(find -name "*.java")
sed -i "s|javax.measure.quantity|org.unitsofmeasurement.quantity|" $(find -name "*.java")


# Disable default-tools.jar profile
%pom_xpath_remove "pom:project/pom:profiles" tools
# Add require build dep
%pom_add_dep com.sun:tools:1.7.0 tools

sed -i 's/\r//' LICENSE.txt README.txt %{name}-pending/src/main/java/org/opengis/feature/simple/doc-files/simple.ucls

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Mon Oct 21 2013 gil cattaneo <puntogil@libero.it> 3.1-0.1.M04
- update to 3.1-M04

* Sat Oct 19 2013 gil cattaneo <puntogil@libero.it> 3.0.0-1
- initial rpm